Description: Update xml/desktop data to comply with current standards.
Author: Andreas B. Mundt <andi@debian.org>
Forwarded: no
Last-Update: 2018-05-17

--- a/desktop/gfm.appdata.xml
+++ b/desktop/gfm.appdata.xml
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- Copyright 2015 Ben Rosser <rosser.bjr@gmail.com> -->
-<application>
-	<id type="desktop">gfm.desktop</id>
+<component type="desktop-application">
+	<id>gfm</id>
 	<metadata_license>CC0-1.0</metadata_license>
 	<project_license>GPL-2.0+</project_license>
 	<name>Group File Manager</name>
@@ -34,8 +34,9 @@
 		</p>
 	</description>
 	<screenshots>
-		<screenshot type="default">http://lpg.ticalc.org/prj_tilp/images/gfm_main_upscaled.png</screenshot>
+		<screenshot type="default">
+			<image>http://lpg.ticalc.org/prj_tilp/images/gfm_main_upscaled.png</image>
+		</screenshot>
 	</screenshots>
 	<url type="homepage">http://lpg.ticalc.org/prj_gfm/</url>
-	<updatecontact>rosser.bjr_at_gmail.com</updatecontact>
-</application>
+</component>
--- a/desktop/Makefile.am
+++ b/desktop/Makefile.am
@@ -1,6 +1,6 @@
 desktopdir = $(datadir)/applications
 pixmapsdir = $(pkgdatadir)/pixmaps
-appdatadir = $(datadir)/appdata
+appdatadir = $(datadir)/metainfo
 desktop_in_files = gfm.desktop.in
 desktop_DATA = $(desktop_in_files:.desktop.in=.desktop)
 appdata_files = gfm.appdata.xml
--- a/desktop/gfm.desktop.in
+++ b/desktop/gfm.desktop.in
@@ -5,10 +5,10 @@
 Comment[fr_FR]=Gestionnaire de fichiers groupés pour calculatrices TI
 GenericName=TI Groups File Manager for TILP
 GenericName[fr_FR]=Gestionnaire de fichiers groupés pour TILP
+Keywords=Texas Instruments;
 Version=1.0
 Type=Application
 Exec=@bindir@/gfm
 Icon=@pixmapsdir@/gfm.png
 Terminal=false
 Categories=Utility;GTK;X-KDE-Utilities-Peripherals;
-MimeType=application/x-tilp;
